<template>
  <section class="quest">
    <div class="steps" style="margin-top: 80px">
      <div class="steps-header">Шаг <span class="steps-count">{{step}}</span> из 2</div>
      <div class="container">
        <form class="steps-tabs">
          <div class="steps-tabs__item active"
               v-if="step === 1"
          >
            <div class="steps-tabs__item-descr">Ответьте на несколько вопросов и получите анализ, основанный на судебной практике</div>
            <div class="steps-tabs__check"
                 v-for="(i, index) in quests"
                 :key="i + index"
                 v-show="i.article === $route.params.id"
            >
              <div class="steps-tabs__check-item"
                   v-for="(quest, i) in i.array"
                   :key="i"
              >
                <p>{{quest.title}}</p>
                <div class="steps-tabs__check-togglers">
                  <input type="hidden" name="1">
                  <div
                    :class="{'active':quest.answer}"
                    @click="quest.answer = true"
                    class="yes steps-tabs__check-togglers-item">
                    <svg width="16" height="12" viewBox="0 0 16 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M5.50004 9.5L2.00004 6L0.833374 7.16666L5.50004 11.8333L15.5 1.83333L14.3334 0.666664L5.50004 9.5Z" fill="#FFED00"/>
                    </svg>
                  </div>
                  <div
                    :class="{'active':quest.answer === false}"
                    @click="quest.answer = false"
                    class="no steps-tabs__check-togglers-item">
                    <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M11.8333 1.34166L10.6583 0.166664L5.99996 4.825L1.34163 0.166664L0.166626 1.34166L4.82496 6L0.166626 10.6583L1.34163 11.8333L5.99996 7.175L10.6583 11.8333L11.8333 10.6583L7.17496 6L11.8333 1.34166Z" fill="#FFED00"/>
                  </svg>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="steps-tabs__item"
               v-show="step === 2"
          >
            <div class="steps-tabs__input">
              <input type="text" v-model="name" placeholder="Ваше имя" reqired>
            </div>
            <div class="steps-tabs__input">
              <input type="text" v-model="phone" data-inputmask="'mask': '+9(999)999-99-99'" placeholder="Телефон">
            </div>
            <div class="steps-tabs__input">
              <input type="email" v-model="email" placeholder="E-mail" reqired>
            </div>
            <div class="steps-tabs__agree">Отправляя форму вы даёте согласие на <a @click="modal.policy = true">обработку персональных данных</a></div>
          </div>
          <div class="steps-tabs__item"
               v-if="step === 3"
               style="margin-bottom: 120px"
          >
            <div class="tabs-result" v-if="$route.params.id === '12.26'">
              <p>Направляем Вам предварительные результаты, основанные на автоматическом анализе 2036 постановлений и решений по аналогичным делам. Искусственный интеллект определяет шансы на возврат прав</p>
              <p>Наши юристы готовы помочь Вам в том числе лично и по бесплатному телефону 8 800 201-32-36 предоставив бесплатную консультацию. А теперь по Вашему делу:</p>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title">Суд был</div>
                <div class="tabs-result__item-txt">У Вас уже состоялся суд и Вас лишили прав. Закон позволяет нам включиться в работу в любой момент, даже если Вы уже сдали водительское удостоверение и вернуть его досрочно</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title">Отказ от медосвидетельствования</div>
                <div class="tabs-result__item-txt">Этот факт должен быть зафиксирован на видео или понятыми, а также соблюдена вся процедура освидетельствования на состояние опьянения, при нарушении которой наши юристы успешно оспаривают лишение прав.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title">Что вы указали в протоколе</div>
                <div class="tabs-result__item-txt">Согласие или не согласие с протоколом не играет особой роли. Ваше согласие в момент составления протокола может быть в суде представлено как «не разобрался в ситуации под давлением сотрудников и введения в заблуждение относительно существа вменяемого правонарушения». Поэтому от этих слов можно безболезненно отказаться. Мы сделаем это при оспаривании постановления. Как правило, это массивный документ или несколько документов, которые приобщаются к материалам дела и служат таким же доказательством, как и протоколы сотрудников ДПС.</div>
              </div>
              <div class="tabs-result__resume">
                <h4>Резюме</h4>
                <p>Нами используется как минимум 3 основных способа возврата прав за отказ от прохождения медицинского освидетельствования. Как видно из предварительного автоматизированного анализа, у Вас есть шансы на успех, но придется много поработать чтобы этого успеха добиться. Есть положительные и отрицательные моменты, есть сложные, а есть простые, но после анализа протокола об административном правонарушении можно будет дать более точные шансы в % и определиться с окончательной линией защиты по Вашему делу и выбрать как раз один из 3-х основных вариантов.</p>
              </div>
              <div class="tabs-result__contacts">
                <p>Звоните по бесплатному номеру 8 800 201-32-36 и юрист предоставит Вам:</p>
                <ul>
                  <li>• бесплатные ходатайства;</li>
                  <li>• постановления и решения судов на которых основана эта информация;</li>
                  <li>• бесплатную консультацию и анализ материалов дела.</li>
                </ul>
              </div>
            </div>
            <div class="tabs-result" v-if="$route.params.id === '12.8'">
              <p>Направляем Вам предварительные результаты, основанные на автоматическом анализе 2036 постановлений и решений по аналогичным делам. Искусственный интеллект определяет шансы на возврат прав</p>
              <p>Наши юристы готовы помочь Вам в том числе лично и по бесплатному телефону 8 800 201-32-36 предоставив бесплатную консультацию. А теперь по Вашему делу:</p>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[0].answer">Суд был</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[0].answer">Еще не было суда</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[0].answer">У Вас уже состоялся суд и Вас лишили прав. Закон позволяет нам включиться в работу в
                  любой момент и обжаловать постановление в судах вышестоящих инстанций.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[0].answer">Поскольку суд еще не назначен у нас есть дополнительное время на подготовку.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[1].answer">Был в состоянии опьянения</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[1].answer">Не был пьян</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[1].answer">В этом случае необходимо проверить соответствие процедуры освидетельствования процессуальному
                  законодательству: предложили пройти освидетельствование на месте, выдали копии протоколов,
                  были понятые или видеозапись и т.д.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[1].answer">Это является огромным преимуществом для Вас, но нужно правильно составить линию защиты для суда.
                  Наши юристы участвовали во многих спорах, где водителей привлекли к ответственности,
                  хотя они не находились в состоянии опьянения и оспорили постановление.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[2].answer">Если прошли освидетельствование на состояние опьянения на месте</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[2].answer">Возили в наркологию, на месте не предлагали</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[2].answer">Если прошли освидетельствование на состояние опьянения на месте, то обязательно должны быть
                  понятые или видео, а также соблюдена процедура освидетельствования.
                  Нарушение этих правил влечет отмену штрафа и лишения прав.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[2].answer">Это грубейшее нарушение КоАП РФ. Инспектор ГИБДД обязан предложить
                  пройти освидетельствование на состояние опьянения на месте.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[3].answer">Копии протоколов</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[3].answer">Копии протоколов</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[3].answer">Вами на руки должны были выдать протокол об отстранении, протокол о направлении на медицинское
                  освидетельствование, акт освидетельствования на месте, акт медицинского освидетельствования,
                  протокол об административном правонарушении. Проверьте, копии каких документов вам выдали,
                  если каких-то нет, с ними можно ознакомиться в суде.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[3].answer">Копии протоколов обязательно должны быть выданы лицу, в отношении которого возбуждено
                  административное дело. В случае нарушения этого правила протокол подлежит исключению из материалов дела.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[4].answer">Что Вы указали в протоколе?</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[4].answer">Что Вы указали в протоколе?</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[4].answer">Согласие или не согласие с протоколом не играет особой роли. Ваше согласие в момент составления
                  протокола может быть в суде представлено как «не разобрался в ситуации под давлением сотрудников
                  и введения в заблуждение относительно существа вменяемого правонарушения».
                  Поэтому от этих слов можно безболезненно отказаться в суде. Как правило, это массивный документ
                  или несколько документов, которые приобщаются к материалам дела и служат таким
                  же доказательством, как и протоколы сотрудников ДПС.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[4].answer">Что Вы указали в протоколе – согласие или не согласие с протоколом не играет особой роли.
                  То, что Вы не согласились на месте, безусловно, увеличивает наши шансы, показывая,
                  что Вы изначально считали действия сотрудников ДПС неправомерными.
                  Теперь наша задача доказать это, опираясь на все обстоятельства и материалы дела.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[5].answer">Проверьте в протоколе (если он у Вас есть на руках), указано ли то, что к нему прилагается видео</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[5].answer">Видеозапись</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[5].answer">Если такого указания нет или не указано каким техническим средством она была
                  произведена – видеозапись подлежит исключению из доказательств.
                  Также еще есть несколько требований к видеозаписи, при нарушении которых можно
                  исключить видеозапись, что могут сделать наши юристы.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[5].answer">Отлично что она не велась – с понятыми работать всегда проще. На одно доказательство придется исключать меньше.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[6].answer">Участие понятыхю</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[6].answer">Обязательно должны быть понятые либо вестись видеозапись</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[6].answer">Участие понятых при составлении административного материала регламентировано КоАП РФ.
                  А в случае нарушения его норм можно исключить объяснения понятых из доказательств.
                  Эта процедура сложная, но мы знаем, как сделать так, чтобы вы остались с правами,
                  найдя ошибки в объяснениях понятых или наоборот используя их в нашу пользу.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[6].answer">Отсутствие понятых и видео является грубейшим нарушением процессуальных норм.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[7].answer">Свидетели</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[7].answer">Если нет свидетелей</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[7].answer">Как правило, это, например, водители авто, которых остановили вместе с Вами, люди, которые сообщили
                  о том ,что вы находитесь в состоянии опьянения или мимо проходящие граждане, а также может быть
                  привлечен второй инспектор ДПС. Привлечение инспектора ДПС является нарушением КоАП, но главной
                  сложностью является то, что суды не обращают на
                  это внимание и водители не могут самостоятельно выиграть дело.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[7].answer">То, что в протокол не вписаны свидетели немного
                  упрощает нашу работу, но не исключает проведение всех остальных действий.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[8].answer">Пассажиры в Вашем авто</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[8].answer">Свидетели со стороны водителя</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[8].answer">Пассажиры в Вашем авто также могут быть свидетелями даже если их не вписали в протокол.
                  Они могут выступить в суде по выстроенной юристом линии защиты. Обсудите с юристом сложность
                  Вашего дела для того чтобы привлечь их для выступления в суде. Юрист подготовит для них речь.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[8].answer">Свидетели со стороны водителя могут и не быть. Наличие свидетелей необязательно,
                  главное- найти другие доказательства, которые помогут выиграть дело.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-txt" v-if="quests.quest_2[9].answer"> А теперь о том, как назначается минимальное или максимальное наказание. Пока мы не вступили в процесс
                  в суде мы не знаем, что инспектор указал в рапорте (поскольку рапорт прилагается к материалам дела),
                  не видели другие материалы дела. Помните, что любое даже незначительное обстоятельство для суда является
                  достаточным основанием (ведь суд действует в соответствии с законом и собственными убеждениями)
                  для принятия в виде наказания максимального порога по статье. Если ранее Вас привлекали за управление
                  в состоянии опьянения (карточка с нарушениями приобщается к материалам дела) это отягчающее
                  обстоятельство и означает максимальную санкцию.
                  Были ли у Вас какие-нибудь штрафы в течение года? Если да, то это также отягчающее обстоятельство.
                  В этом случае, суд может применить максимальное наказание.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[9].answer">Для назначения административного наказания необходимо наличие доказательств, которые соответствуют
                  требованиям законодательства. Например, если протокол об АП не соответствует КоАП РФ,
                  его можно исключить из материалов дела и остаться с правами.</div>
              </div>
              <div class="tabs-result__resume">
                <h4>Резюме</h4>
                <p>Нами используется как минимум 3 основных способа возврата прав за отказ от прохождения медицинского освидетельствования. Как видно из предварительного автоматизированного анализа, у Вас есть шансы на успех, но придется много поработать чтобы этого успеха добиться. Есть положительные и отрицательные моменты, есть сложные, а есть простые, но после анализа протокола об административном правонарушении можно будет дать более точные шансы в % и определиться с окончательной линией защиты по Вашему делу и выбрать как раз один из 3-х основных вариантов.</p>
              </div>
              <div class="tabs-result__contacts">
                <p>Звоните по бесплатному номеру 8 800 201-32-36 и юрист предоставит Вам:</p>
                <ul>
                  <li>• бесплатные ходатайства;</li>
                  <li>• постановления и решения судов на которых основана эта информация;</li>
                  <li>• бесплатную консультацию и анализ материалов дела.</li>
                </ul>
              </div>
            </div>
            <div class="tabs-result" v-if="$route.params.id === '12.15.4(5)'">
              <p>Направляем Вам предварительные результаты, основанные на автоматическом анализе 2036 постановлений и решений по аналогичным делам. Искусственный интеллект определяет шансы на возврат прав</p>
              <p>Наши юристы готовы помочь Вам в том числе лично и по бесплатному телефону 8 800 201-32-36 предоставив бесплатную консультацию. А теперь по Вашему делу:</p>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[0].answer">Суд был</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[0].answer">Еще не было суда</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[0].answer">У Вас уже состоялся суд и Вас лишили прав. Закон позволяет нам включиться в работу в
                  любой момент и обжаловать постановление в судах вышестоящих инстанций.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[0].answer">Поскольку суд еще не назначен у нас есть дополнительное время на подготовку.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[1].answer">Первый выезд на встречку</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[1].answer">Повторный выезд на встречку</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[1].answer">Совершение нарушения первый раз не означает, что Вас признают невиновным автоматически или также
                  автоматически назначат штраф. За свои права придется бороться. Но давайте разберемся подробнее
                  исходя из Ваших ответов на все вопросы.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[1].answer">Если это повторный выезд в течение года Вас может ждать лишение прав на 1 год. Поэтому необходимо
                  основательно подготовиться к защите. Если же это было более года назад, то Вы попросту признаетесь
                  злостным нарушителем и к Вам, если ничего не предпринимать, будет применено наказание в виде лишения прав.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[2].answer">Штрафы за нарушение ПДД</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[2].answer">Штрафы за нарушение ПДД</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[2].answer">В Вашем случае имеется отягчающее обстоятельство – нарушение ПДД, что является основанием для назначения
                  наказания именно в виде лишения права управления и не важно оплачены они или нет. Но наши юристы успешно
                  с этим справляются и доказывают в суде, что разные правонарушения не могут ложиться в основу более сурового
                  наказания. А также исключают документы из материалов дела, указав на процессуальные нарушения,
                  допущенные при их составлении, что поможет оспорить лишение прав.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[2].answer">В любом случае, отсутствие нарушений, в том числе с камер автоматической видеофиксации, увеличивает шансы
                  на то, чтобы в при худшем исходе Вам в качестве наказания назначили штраф. Но помните, судья при вынесении
                  постановления руководствуется в том числе внутренними убеждениями и мы к этому еще вернемся, а пока пойдем по фактам.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[3].answer">Составлялась ли при Вас схема?</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[3].answer">Схема</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[3].answer">При этом, внимательно посмотрите свою копию протокола. Указано ли там, что к протоколу прилагается схема.
                  То, что схема была составлена ИДПС, кстати, не лишает нас права подготовить свою схему, что мы обязательно
                  сделаем. Таким образом, правильно составив и юридически грамотно оформив схему мы создаем противоречие
                  между представленными в суд доказательствами добиваясь того чтобы все неустранимые сомнения трактовались
                  в пользу лица, привлекаемого к административной ответственности.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[3].answer">
                  То, что схема не была составлена ИДПС при вас дает нам возможность
                  подготовить свою схему и приобщить ее в качестве доказательства в суде. Однако, посмотрите внимательно протокол раздел «прилагается».
                  Возможно, там упоминается то обстоятельство, что схема прилагается. Это дополнительное основание для ее исключения из доказательств.
                </div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[4].answer">Что Вы указали в протоколе</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[4].answer">Что Вы указали в протоколе</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[4].answer">
                  Согласие или не согласие с протоколом не играет особой роли. Ваше согласие в момент составления протокола
                  может быть в суде представлено как «не разобрался в ситуации под давлением
                  сотрудников и введения в заблуждение относительно существа вменяемого правонарушения». Поэтому от этих слов можно безболезненно отказаться.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[4].answer">Согласие или не согласие с протоколом не играет особой роли. То, что Вы не согласились на месте, безусловно,
                  увеличивает наши шансы, показывая, что Вы изначально считали действия сотрудников ДПС неправомерными.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[5].answer">Проверьте в протоколе, указано ли то, что к нему прилагается видео или фото</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[5].answer">Видеозапись/фотография</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[5].answer">Если такого указания нет или не указано каким техническим средством фотография или видеозапись была снята – видеозапись
                  или фотография подлежит исключению из доказательств. И даже если в протоколе указано, что прилагается фото или видео,
                  то мы можем его оспорить, так как законодательством предусмотрены требования к видео/фото-доказательствам, которые нарушаются сотрудниками ГИБДД</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[5].answer">Отлично что ее нет. На одно доказательство придется исключать меньше. Вообще же, видеозапись и фотография
                  нарушения не является обязательным доказательством, поскольку суды устанавливают вину водителя или
                  отсутствие таковой уже на основании протокола, рапорта и схемы.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[6].answer">Свидетели</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[6].answer">Свидетели</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[6].answer">Как правило, это, например, водители авто, которых Вы обогнали или которые находились в момент совершения
                  нарушения рядом с ИДПС. В случае, если телефон свидетелей указан, мы свяжемся с ними и уточним все обстоятельства.
                  Если телефонов нет и указан только адрес, будем вызывать их в суд. Свидетели являются в суд в 0,2% случаев.
                  А в 20% случаев свидетели указывают недостоверные адреса. В 9% случаев, свидетелем указывается второй
                  сотрудник ДПС из экипажа – все эти обстоятельства позволят нам трактовать неустранимые сомнения в Вашу пользу.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[6].answer">То, что в протокол не вписаны свидетели немного упрощает нашу работу, но не исключает проведение всех остальных действий.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[7].answer">Пассажиры в Вашем авто</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_3[7].answer">Пассажиры в Вашем авто</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[7].answer">Пассажиры в Вашем авто также могут быть свидетелями даже если их не вписали в протокол. Они могут подписать
                  составленную нами схему и выступить в суде. Обсудите с юристом сложность Вашего дела для того чтобы привлечь
                  их для выступления в суде. Юрист подготовит для них речь.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[7].answer">Отсутствие свидетелей с Вашей стороны в данном случае не играют особой роли.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_3[8].answer"></div>
                <div class="tabs-result__item-txt" v-if="quests.quest_3[8].answer">А теперь о том, как назначается минимальное или максимальное наказание. Пока мы не вступили в процесс в
                  суде мы не знаем, что инспектор указал в рапорте (поскольку рапорт прилагается к материалам дела).
                  Одним из оснований назначить максимальный срок лишения является указание в рапорте на то, что
                  «при совершении нарушения водитель своими действия создал общественную опасность, угрожающую жизни
                  и здоровью других участников движения». Конечно же, фраза носит формальный характер, но для суда является
                  достаточным основанием (ведь суд действует в соответствии с законом и собственными убеждениями)
                  для принятия в виде наказания максимального порога по статье.
                  Основанием для назначения наказания в виде лишения права управления в 72% случаев служат отягчающие
                  обстоятельства среди которых, в том числе, любые штрафы ПДД, даже зафиксированные камерой
                  (например, за стоп-линию или незначительное превышение скорости). Юристы, разумеется, учитывают это и
                  указывают как недопустимое в жалобах, объяснениях и других документах. Если подобное не указывается и не
                  оспаривается, судья принимает решение по своему усмотрению.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_3[8].answer">Чтобы оспорить ответственность за выезд на встречную полосу движения необходимо посмотреть соблюден ли
                  процессуальный порядок составления административного материала. Любое нарушение в материалах дела может
                  стать причиной, по которой уйдете от ответственности.</div>
              </div>\
              <div class="tabs-result__resume">
                <h4>Резюме</h4>
                <p>Нами используется как минимум 3 основных способа возврата прав за отказ от прохождения медицинского освидетельствования. Как видно из предварительного автоматизированного анализа, у Вас есть шансы на успех, но придется много поработать чтобы этого успеха добиться. Есть положительные и отрицательные моменты, есть сложные, а есть простые, но после анализа протокола об административном правонарушении можно будет дать более точные шансы в % и определиться с окончательной линией защиты по Вашему делу и выбрать как раз один из 3-х основных вариантов.</p>
              </div>
              <div class="tabs-result__contacts">
                <p>Звоните по бесплатному номеру 8 800 201-32-36 и юрист предоставит Вам:</p>
                <ul>
                  <li>• бесплатные ходатайства;</li>
                  <li>• постановления и решения судов на которых основана эта информация;</li>
                  <li>• бесплатную консультацию и анализ материалов дела.</li>
                </ul>
              </div>
            </div>
            <div class="tabs-result" v-if="$route.params.id === '12.27'">
              <p>Направляем Вам предварительные результаты, основанные на автоматическом анализе 2036 постановлений и решений по аналогичным делам. Искусственный интеллект определяет шансы на возврат прав</p>
              <p>Наши юристы готовы помочь Вам в том числе лично и по бесплатному телефону 8 800 201-32-36 предоставив бесплатную консультацию. А теперь по Вашему делу:</p>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[0].answer">Суд был</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[0].answer">Еще не было суда</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[0].answer">Если судом принято постановление о лишении прав, мы его
                  обжалуем в суде вышестоящей инстанции и вернем права.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[0].answer">У нас будет много времени на проверку материалов дела на соответствие
                  законодательству и на подготовку правовой позиции.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[1].answer">Было ДТП</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[1].answer">Не было ДТП</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[1].answer">Если было ДТП нужно оспорить доказательства и исключить их из материалов дела для выигрыша дела.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[1].answer">В этом случае для выигрыша дела необходимо доказать, что контакта
                  между автомобилями или иным участником ДТП не было, с чем успешно справляются юристы нашей компании.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[2].answer">Повреждения незначительные</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[2].answer">Повреждения серьезные</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[2].answer">В этом случае необходимо только грамотно сформулировать правовую позицию и мы спокойно
                  сможем обойти лишение прав и арест.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[2].answer">В этом случае мы проверим показания свидетелей, рапорт, протокол об АП и другие документы на
                  факт соответствия изложенной информации действительности и наличие недостатков при их составлении.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[3].answer">Если скрывались с места ДТП</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[3].answer">Если не скрывались с места ДТП</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[3].answer">необходимо проверить наличие доказательств вашей вины, правильность составления процессуальных
            документов, а  также полноту проведенного административного расследования. При отсутствии доказательств
            или неправильном составлении документов можно выиграть дело, главное - грамотно подготовить линию защиты.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[3].answer">В этом случае необходимо правильно сформулировать позицию защиты,
            собрать и предоставить в суд свои доказательства того, что скрытия с места ДТП не было.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[4].answer">Имеются претензии у второго участника ДТП</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[4].answer">У второго участника ДТП нет претензий</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[4].answer"> Юрист попытается договориться с потерпевшим, чтобы в суде отказался от своих претензий к вам.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[4].answer">Отсутствие претензий пойдет нам только на руку и поможет остаться с правами.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[5].answer">Что Вы указали в протоколе? Согласились с нарушением?</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[5].answer">Что Вы указали в протоколе</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[5].answer">Ваше согласие в момент составления протокола может быть в суде представлено как «не разобрался в
            ситуации под давлением сотрудников и введения в заблуждение относительно существа
            вменяемого правонарушения». Поэтому от этих слов можно безболезненно отказаться.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[5].answer">Согласие или не согласие с протоколом не играет особой роли. То, что Вы не согласились
            на месте, безусловно, увеличивает наши шансы, показывая, что Вы изначально считали
            действия сотрудников ДПС неправомерными.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[6].answer">Проверьте в протоколе, указано ли то, что к нему прилагается видео</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[6].answer">Видеозапись</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[6].answer">Если такого указания нет или не соблюдены все требования, предъявляемые процессуальным
            законодательством к видеозаписи, то ее можно исключить из доказательственной
            базы и выиграть дело, с чем мы успешно справляемся.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[6].answer">Отлично что ее нет. На одно доказательство придется исключать меньше. Вообще же, видеозапись
            нарушения не является обязательным доказательством, поскольку суды устанавливают вину
            водителя или отсутствие таковой уже на основании заявления второго участника ДТП,
            протокола, рапорта и схемы и иных материалов.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[7].answer">Если есть свидетел</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[7].answer">Если нет свидетелей</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[7].answer">мы проверим соответствие их показаний рапорту инспектора ГИБДД, протоколу об АП и иным доказательствам.
            Если обнаружим, что показания расходятся с другими доказательствами,
            то сможем оспорить их участие в качестве свидетелей.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[7].answer">Если нет свидетелей, то это пойдет нам на пользу. Наличие свидетелей необязательно и если
            есть какие-либо другие доказательства вашей вины, то необходимо будет оспорить их.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[8].answer">Ваши пассажиры</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[8].answer">Отсутствие свидетелей</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[8].answer">Ваши пассажиры являются такими же свидетелями по делу и могут давать свои показания и
            доказать вашу невиновность. И необязательно, чтобы они были
            вписаны в протокол об административном правонарушении.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[8].answer">С Вашей стороны в данном случае не играют особой роли.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_4[9].answer"></div>
                <div class="tabs-result__item-title" v-if="!quests.quest_4[9].answer"></div>
                <div class="tabs-result__item-txt" v-if="quests.quest_4[9].answer">При решении вопроса о назначении административного наказания суд учитывает характер
            совершенного правонарушения и иные обстоятельства. Конечно же, получить арест на практике сложно,
            но наши юристы добиваются этого, учитывая ситуацию клиента и судебную практику в его регионе.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_4[9].answer">Чтобы не получить арест и остаться с правами необходимо грамотно подготовить линию защиты для суда,
            с указанием всех нарушений материального и процессуального законодательства.</div>
              </div>
              <div class="tabs-result__resume">
                <h4>Резюме</h4>
                <p>Нами используется как минимум 3 основных способа возврата прав за отказ от прохождения медицинского освидетельствования. Как видно из предварительного автоматизированного анализа, у Вас есть шансы на успех, но придется много поработать чтобы этого успеха добиться. Есть положительные и отрицательные моменты, есть сложные, а есть простые, но после анализа протокола об административном правонарушении можно будет дать более точные шансы в % и определиться с окончательной линией защиты по Вашему делу и выбрать как раз один из 3-х основных вариантов.</p>
              </div>
              <div class="tabs-result__contacts">
                <p>Звоните по бесплатному номеру 8 800 201-32-36 и юрист предоставит Вам:</p>
                <ul>
                  <li>• бесплатные ходатайства;</li>
                  <li>• постановления и решения судов на которых основана эта информация;</li>
                  <li>• бесплатную консультацию и анализ материалов дела.</li>
                </ul>
              </div>
            </div>
            <div class="tabs-result" v-if="$route.params.id === '12.2'">
              <p>Направляем Вам предварительные результаты, основанные на автоматическом анализе 2036 постановлений и решений по аналогичным делам. Искусственный интеллект определяет шансы на возврат прав</p>
              <p>Наши юристы готовы помочь Вам в том числе лично и по бесплатному телефону 8 800 201-32-36 предоставив бесплатную консультацию. А теперь по Вашему делу:</p>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_2[0].answer">Суд был</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_2[0].answer">Еще не было суда</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_2[0].answer">Если судом принято постановление о лишении прав, мы его обжалуем в суде вышестоящей инстанции и вернем права.
            Сотрудники ГИБДД  при составлении материалов дела, а  также судьи при рассмотрении дел допускают множество
            ошибок, которыми мы воспользуемся для того, чтобы вернуть права.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_2[0].answer">У нас будет много времени на проверку материалов дела на соответствие законодательству и на подготовку правовой позиции.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[1].answer">Управление автомобилем</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[1].answer">Если автомобиль стоял</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[1].answer">Управление автомобилем без номеров или со скрытыми номерами является нарушением, но можно обойти лишение
            прав и штраф, оспорив протокол об АП и другие доказательства, имеющиеся в материалах дела</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[1].answer">Если автомобиль стоял без номеров или со скрытыми номерами и сотрудники зафиксировали это как нарушение
            ст. 12.2, то это незаконно. Чтобы оспорить протокол, в данном случае  необходимо грамотно обосновать свою
            позицию в суде и исключить доказательства, представленные сотрудниками ГИБДД</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[2].answer">Если номера были скрыты</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[2].answer">Если номера были скрыты не специально</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[2].answer"> Если номера были скрыты, то нужно оспаривать протокол об АП и исключать фотографию/видео из материалов дела,
            а также можно прекратить дело из-за отсутствия доказательств того, что госномер был оборудован специальными материалами.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[2].answer">В этом случае нужно доказать в суде, что нарушения не было. А если номера были загрязнены снегом, льдом или
            грязью – то доказать, что номера стали нечитаемыми из-за погодных условий и получить штраф 500 рублей</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[3].answer">Доказательства, кроме протокола</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[3].answer">Отсутствие доказательств</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[3].answer">Если есть показания свидетелей, фотографии или видеозапись в материалах дела, то их нужно проверить на
            соответствие требованиям закона, а при обнаружении нарушений – исключить из доказательственной базы</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[3].answer">Отсутствие доказательств кроме протокола об административном правонарушении поможет выиграть дело, т.к.
            протокол об АП не может быть единственным доказательством в деле. Остается грамотно подготовить позицию для суда</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[4].answer">Копия протокола</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[4].answer">Копия протокола не выдана</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[4].answer">Вам на руки должны были выдать копию протокола об АП. Это поможет в подготовке правовой позиции.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[4].answer"> Копия протокола обязательно должна быть выдана вам, а если было нарушено это требование юрист докажет, что
            ваши права нарушены и суд вынесет постановление в вашу пользу</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[5].answer">Что Вы указали в протоколе? Согласились с нарушением?</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[5].answer">Что Вы указали в протоколе</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[5].answer">Ваше согласие в момент составления протокола может быть в суде представлено как «не разобрался в ситуации
            под давлением сотрудников и введения в заблуждение относительно существа вменяемого правонарушения».
            Поэтому от этих слов можно безболезненно отказаться.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[5].answer">Согласие или не согласие с протоколом не играет особой роли. То, что Вы не согласились на месте,
            безусловно, увеличивает наши шансы, показывая, что Вы изначально считали действия сотрудников ДПС неправомерными.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[6].answer">Видеозапись</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[6].answer">Видеозаписи нет</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[6].answer">Проверьте в протоколе, указано ли то, что к нему прилагается фото/видео. Если такого указания нет или не
            соблюдены все требования, предъявляемые процессуальным законодательством к фотографии/видеозаписи,
            то ее можно исключить из доказательственной базы и выиграть дело, с чем мы успешно справляемся.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[6].answer"> Отлично что ее нет. На одно доказательство придется исключать меньше</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[7].answer">Если есть свидетели</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[7].answer">Если нет свидетелей</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[7].answer">Если есть свидетели мы проверим соответствие их показаний рапорту инспектора ГИБДД, протоколу об АП и
            иным доказательствам. Если обнаружим, что показания расходятся с другими доказательствами, то сможем
            оспорить их участие в качестве свидетелей.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[7].answer">Если нет свидетелей, то это пойдет нам на пользу. Наличие свидетелей необязательно и если есть какие-либо
            другие доказательства вашей вины, то необходимо будет оспорить их.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[8].answer">Ваши пассажиры</div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[8].answer">Отсутствие свидетелей</div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[8].answer">Ваши пассажиры являются такими же свидетелями по делу и могут давать свои показания и
            доказать вашу невиновность. И необязательно, чтобы они были
            вписаны в протокол об административном правонарушении.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[8].answer">С Вашей стороны в данном случае не играют особой роли.</div>
              </div>
              <div class="tabs-result__item">
                <div class="tabs-result__item-title" v-if="quests.quest_5[9].answer"></div>
                <div class="tabs-result__item-title" v-if="!quests.quest_5[9].answer"></div>
                <div class="tabs-result__item-txt" v-if="quests.quest_5[9].answer">При решении вопроса о назначении административного наказания суд учитывает характер
            совершенного правонарушения и иные обстоятельства. Конечно же, получить штраф не всем удается, но наши
            юристы добиваются этого, учитывая ситуацию клиента и судебную практику в его регионе.</div>
                <div class="tabs-result__item-txt" v-if="!quests.quest_5[9].answer">Чтобы не получить штраф и остаться с правами необходимо грамотно подготовить линию
            защиты для суда, с указанием всех нарушений материального и процессуального законодательства.</div>
              </div>
              <div class="tabs-result__resume">
                <h4>Резюме</h4>
                <p>Нами используется как минимум 3 основных способа возврата прав за отказ от прохождения медицинского освидетельствования. Как видно из предварительного автоматизированного анализа, у Вас есть шансы на успех, но придется много поработать чтобы этого успеха добиться. Есть положительные и отрицательные моменты, есть сложные, а есть простые, но после анализа протокола об административном правонарушении можно будет дать более точные шансы в % и определиться с окончательной линией защиты по Вашему делу и выбрать как раз один из 3-х основных вариантов.</p>
              </div>
              <div class="tabs-result__contacts">
                <p>Звоните по бесплатному номеру 8 800 201-32-36 и юрист предоставит Вам:</p>
                <ul>
                  <li>• бесплатные ходатайства;</li>
                  <li>• постановления и решения судов на которых основана эта информация;</li>
                  <li>• бесплатную консультацию и анализ материалов дела.</li>
                </ul>
              </div>
            </div>
          </div>
          <button class="btn btn--wide steps-tabs__btn" @click.prevent="result()">{{step === 1 ? 'Далее' : 'Узнать результаты'}}</button>
        </form>
      </div>
    </div>
    <Modal
      v-show="modal.show"
      @close="modal.show = false"
      :isClose="isClose"
    >
      <template v-slot:body>
        <div>
          <div>{{modal.title}}</div>
          <div>{{modal.subtitle}}</div>
        </div>
        <div v-if="!isClose">
          <Loads/>
        </div>
      </template>
    </Modal>

    <Modal
      v-show="modal.policy"
      @close="modal.policy = false"
      :isClose="false"
    >
      <template v-slot:body>
        <Policy @closedPolicy="modal.policy = false"/>
      </template>
    </Modal>
  </section>
</template>

<script>
import axios from 'axios'
import Modal from './Modal'
import Inputmask from 'inputmask'
import Loads from './Loads'
import Policy from './Policy'
export default {
  name: 'Quest',
  components: {Policy, Loads, Modal},
  data () {
    return {
      quests: {
        quest_1: {
          article: '12.26',
          array: [
            { title: 'Был ли суд?', answer: null, id: 1 },
            { title: 'Проходили ли Вы на месте освидетельствование?', answer: null, id: 2 },
            { title: 'Выдали ли Вам копии протоколов?', answer: null, id: 3 },
            { title: 'В протоколе Вы указали, что согласны с нарушением?', answer: null, id: 4 },
            { title: 'Велась ли сотрудниками ДПС видеозапись?', answer: null, id: 5 },
            { title: 'Привлекались ли понятые?', answer: null, id: 6 },
            { title: 'Были ли свидетели управления Вами автомобилем?', answer: null, id: 7 }
          ]
        },
        quest_2: {
          article: '12.8',
          array: [
            { title: 'Был ли суд?', answer: null, id: 1 },
            { title: 'Находились ли вы в состоянии опьянения?', answer: null, id: 2 },
            { title: 'Проходили ли Вы медицинское освидетельствование?', answer: null, id: 3 },
            { title: 'Выдали ли Вам копии протоколов?', answer: null, id: 4 },
            { title: 'В протоколе Вы указали, что согласны с нарушением?', answer: null, id: 5 },
            { title: 'Велась ли сотрудниками ДПС видеозапись?', answer: null, id: 6 },
            { title: 'Привлекались ли понятые?', answer: null, id: 7 },
            { title: 'Были ли свидетели управления Вами автомобилем?', answer: null, id: 8 },
            { title: 'Были ли пассажиры у Вас в авто?', answer: null, id: 9 },
            { title: 'Хочу узнать, в каких случаях назначат 1,5 или 2 года лишения', answer: null, id: 10 }
          ]
        },
        quest_3: {
          article: '12.15.4(5)',
          array: [
            { title: 'Был ли суд?', answer: null, id: 1 },
            { title: 'Это первый случай выезда на встречную полосу?', answer: null, id: 2 },
            { title: 'Были ли у Вас штрафы за нарушение ПДД в течение года?', answer: null, id: 3 },
            { title: 'Составлялась ли при Вас схема?', answer: null, id: 4 },
            { title: 'В протоколе Вы указали, что согласны с нарушением?', answer: null, id: 5 },
            { title: 'Имеется ли у ДПС фотография или видеозапись нарушения?', answer: null, id: 6 },
            { title: 'Привлекались ли свидетели?', answer: null, id: 7 },
            { title: 'Были ли пассажиры у Вас в авто?', answer: null, id: 8 },
            { title: 'Хочу узнать, в каких случаях назначат 4 или 6 месяцев лишения', answer: null, id: 9 }
          ]
        },
        quest_4: {
          article: '12.27',
          array: [
            { title: 'Был ли суд?', answer: null, id: 1 },
            { title: 'Было ли ДТП?', answer: null, id: 2 },
            { title: 'Являются ли повреждения автомобиля незначительными?', answer: null, id: 3 },
            { title: 'Скрывались ли с места ДТП?', answer: null, id: 4 },
            { title: 'Имеются ли претензии у второго участника ДТП?', answer: null, id: 5 },
            { title: 'В протоколе Вы указали, что согласны с нарушением?', answer: null, id: 6 },
            { title: 'Имеется ли в материалах дела видеозапись нарушения?', answer: null, id: 7 },
            { title: 'Привлекались ли свидетели?', answer: null, id: 8 },
            { title: 'Были ли пассажиры у Вас в авто?', answer: null, id: 9 },
            { title: 'Хочу узнать, как получить арест', answer: null, id: 10 }
          ]
        },
        quest_5: {
          article: '12.2',
          array: [
            { title: 'Был ли суд?', answer: null, id: 1 },
            { title: 'Управляли ли автомобилем в момент фиксации нарушения?', answer: null, id: 2 },
            { title: 'Были ли номера скрыты специально?', answer: null, id: 3 },
            { title: 'Имеются ли доказательства, кроме протокола об АП?', answer: null, id: 4 },
            { title: 'Выдали ли Вам копию протокола?', answer: null, id: 5 },
            { title: 'В протоколе Вы указали, что согласны с нарушением?', answer: null, id: 6 },
            { title: 'Имеется ли в материалах дела фото/видео нарушения?', answer: null, id: 7 },
            { title: 'Привлекались ли свидетели?', answer: null, id: 8 },
            { title: 'Были ли пассажиры у Вас в авто?', answer: null, id: 9 },
            { title: 'Хочу узнать, как получить штраф', answer: null, id: 10 }
          ]
        }
      },
      name: null,
      phone: null,
      email: null,
      answer: null,
      step: 1,
      modal: {
        show: false,
        title: '',
        subtitle: '',
        policy: false
        // isClose: true
      },
      isClose: true
    }
  },
  methods: {
    result () {
      if (this.step === 2) {
        let result = []
        Object.entries(this.quests).forEach(([key, value]) => {
          if (value.article === this.$route.params.id) {
            this.answer = value.array
            value.array.forEach((el) => {
              result.push(el.title + ' ответ: ' + (el.answer ? 'Да' : 'Нет') + '<br>')
              return result
            })
          } else return false
        })
        if (!this.name) {
          this.modal.show = true
          this.modal.title = 'Вам необходимо указать как вас зовут'
          this.modal.subtitle = 'Пожалуйста, укажите Ваше имя. Это необходимо для более качественного предоставления услуг'
        } else if (!this.phone) {
          this.modal.show = true
          this.modal.title = 'Вам необходимо указать Ваш номер телефона'
          this.modal.subtitle = 'Пожалуйста, укажите Ваш телефон. Это необходимо для более качественного предоставления услуг. Ваши данные надежно защищены'
        } else {
          const reg = '^\\+\\d{1,3}\\s?\\(\\d{3}\\)\\s?\\d{3}(-\\d{2}){2}$' // для проверки правильности введенного номера
          if (this.phone.match(reg) !== null) {
            result = result.join('').replace(',', ' ')
            const formData = new FormData()
            formData.append('crm', '11')
            formData.append('pipe', '22')
            formData.append('contact[name]', this.name)
            formData.append('contact[199]', this.phone)
            formData.append('contact[200]', this.email)
            formData.append('lead[214]', 'Приложение')
            formData.append('note', 'Заявка с приложения по статье ' + this.$route.params.id + '<br>' + result)

            this.modal.show = true
            this.modal.title = 'Подождите...'
            this.isClose = false

            axios.post('https://urist.v-avtoservice.com/api/import-lead',
              formData,
              {
                headers: {
                  'Content-Type': 'multipart/form-data'
                }
              }
            ).then(res => {
              if (res.data.status === 'success') {
                alert('Ваша заявка успешно отправлена! С вами свяжется наш специалист.')
                this.step = 1
                this.isClose = true
                this.modal.show = false
                this.$router.replace({name: 'Hello'})
              }
            })
          } else {
            this.modal.show = true
            this.modal.title = 'Номер не корректный!'
            this.modal.subtitle = 'Пожалуйста, укажите правильно номер вашего телефона. Ваши данные надежно защищены.'
          }
        }
      } else return this.step++
    }
  },
  mounted () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<style scoped>
  .steps-tabs__item {
    display: block;
  }
  .btn--wide {
    position: initial;
    margin: 20px auto 80px auto;
    transform: initial;
  }
</style>
